unable to add computer to ubuntu one account

Reported by bhuvi on 2009-08-23
This bug report is a duplicate of:  Bug #387308: HTTPS Proxy Support for file sync. Edit Remove
356
This bug affects 80 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Medium
Unassigned

Bug Description

i followed the instructions given in the ubuntu one website and the webpage didn't show up as expected and i even installed the ubuntuone-client-tools package,but i couldn't add my computer to my ubuntu one account .
It didn't show any error messages and it cannot open the webpage to add to my ubuntu one account.
i'm using firefox as my default browser and have no other browser's insalled.I tried the report problem given in the ubuntuone applet and it collects the information and shows a send problem report to the developers? dialogue and if i click the send report button it the following eror message:

Could not upload report data to crash database:

<urlopen error [Errno -2] Name or service not known>

also i'm behind a sqiud proxy

bhuvi (bhuvanesh) wrote :
bhuvi (bhuvanesh) on 2009-08-23
description: updated
Joshua Hoover (joshuahoover) wrote :

Hi bhuvi, I'm sorry to hear you're having problems installing and using Ubuntu One. Currently, we do not have support for proxies. It is on our list of things to support in the future, but currently you will not be able to use Ubuntu One behind a proxy like squid proxy.

Changed in ubuntuone-client:
status: New → Triaged
tags: added: desktop+
Changed in ubuntuone-client:
importance: Undecided → Medium
ramses delgado (ramsesdm) wrote :

hi i have the same problem and i don't use proxy. when i finish de installation the add computer page did not appear

Keith Drummond (victor9098) wrote :

I seem to suffer from this problem too, I am not behind a proxy either.

Followed the instructions, Ubuntu One installed fine. After clicking in in the menu no 'add computer' option appeared. I have restarted several times now and have tried again each time but still no luck.

Paul (paul-peters) wrote :

I have the same problem as "ramses" and "KD" . I'm not behind a proxy. The page that allows me to "Add This Computer" (point 4 in the installation guide) never appeared.

When I go to Anwendungen (applications)->Internet->Ubuntu One the client seems to start. At least the Ubuntu One icon appears in the system tray. It says "Updating files..." when I hold the mouse over the icon. But it has a small white cross on red background on it.

I had a look at other bug reports and tried

u1sync --authorize

which hangs after the following error message:

Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 578, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 241, in got_state
    self.acquire_access_token(description, store)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 307, in acquire_access_token
    callback=callback_url)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/storageprotocol/oauth.py", line 286, in from_token_and_callback
    parameters['oauth_token'] = token.key
AttributeError: 'NoneType' object has no attribute 'key'

I also tried to remove the Ubunutu One key, as was suggested in other bug reports, but I only found WLAN keys in may keyring.

marcu (asulana) wrote :

i've got exactly the same problem and message (as Paul) from ubuntu one while i tried to launch it. The web page for "Add your computer" never launch and the ubuntuone icon tray statut is disconnected
any ideas?

k1llm3kw1k (k1llm3kwik) wrote :

I am also having said issue with out proxy. The only thing is on my 9.04 install is I have updated Firefox to 3.5.4pre Shiretoko release with Ubuntu addins installed. I tried switching to Chrome as default and reinstalling to no avail.

Thanks...

girobusan (bozman) wrote :

The same with me, no proxy too. u1sync says, that there is no such command.

Joshua Hoover (joshuahoover) wrote :

Hi Everyone, Can you make sure you update to the latest release, which was put out yesterday, and then try to connect again and "Add your computer"? We had an issue with our domain changes that prevented people from completing the install. If you're still having problems, please let me know here.

Keith Drummond (victor9098) wrote :

I uninstalled Ubuntu One (including repos) and started from scratch. Followed the instructions and everything went to plan up until the install stage. After pressing install nothing happened and Ubuntu One was not added to my applications menu. So went into Synaptic to install manually and got the following error when I select the package:

"ubuntuone-client-gnome:

Package ubuntuone-client-gnome has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency and never uploaded, has been obsoleted or is not available with the contents of sources.list"

As I said, I followed the steps as per last time on the install instructions page.

girobusan (bozman) wrote :

Nothing changed after update. When I stop my mouse over icon, it shows up a menu with note "your files are up to date", which is obviously wrong.

Keith Drummond (victor9098) wrote :

Managed install the package again. Still only gets past the install stage, no 'add computer' screen and the icon says it is disconnected and will not connect when I click on it. All other buttons work though.

I have installed this onto a second laptop running UNR 9.04 and I have the exact same problem.

Keith Drummond (victor9098) wrote :

Got it working! Did the following;

Went into Synaptic, deselected 'ubuntuone-ppa-beta'. Selected 'ubuntuone-ppa'. Also made sure that 'ubuntuone-client', 'ubuntuone-client-gnome' and 'ubuntuone-client-tools'.

Then I installed the new files. Reloaded synaptic. Got the updates. Ran 'Ubuntu One' from the applications menu. Waited a few seconds and the 'add computer' option opened in Firefox. Ubuntu One is now connected to the internet and says that it is 'updating files'.

Will attempt to do that same on my other machine now.

ramses delgado (ramsesdm) wrote :

good Keith, It works for me. Thanks.

Paul (paul-peters) wrote :

Works now fine for me. Thanks!

As I came home, my ubuntu box was waiting for me with updates (many but some for packages with ubuntuone in their names). Then I started the ubuntu one client through

Anwendungen (applications)->Internet->Ubuntu One

(thats point 3 in the installation guide) and firefox started and I could complete point 4 of the installation guide.

I already tested changing files in the "Ubuntu One" folder and synchronization started immediately.

@Keith Drummond: I checked synaptic and I still have ubuntu-ppa-beta installed (and ubuntu--ppa not installed).

girobusan (bozman) wrote :

Installed ubuntuone-tools, used u1sync --authorize, now it seems working ok.

Andre Hugo (cortexhugo) wrote :

I am not using a proxy (on my own LAN) but my ISP is using a proxy for my dsl connection. Thus basically I am behind a proxy. This seems to be the problem. Check with your ISP if they make use of a proxy.

Did the "magic":
Went into Synaptic, deselected 'ubuntuone-ppa-beta'. Selected 'ubuntuone-ppa'. Also made sure that 'ubuntuone-client', 'ubuntuone-client-gnome' and 'ubuntuone-client-tools'.
But it didn't work for me: still no window to "Add my computer" in Firefox. I do get a small UbuntuOne icon in the panel, with a white x in a red square, and it says "disconnected" when the mouse hovers over it. No way to connect. And I do have an account.
Any suggestion?

On Wed, 2009-09-16 at 14:51 +0000, pognonec wrote:
> Did the "magic":
> Went into Synaptic, deselected 'ubuntuone-ppa-beta'. Selected
> 'ubuntuone-ppa'. Also made sure that 'ubuntuone-client',
> 'ubuntuone-client-gnome' and 'ubuntuone-client-tools'.
> But it didn't work for me: still no window to "Add my computer" in
> Firefox. I do get a small UbuntuOne icon in the panel, with a white x
> in a red square, and it says "disconnected" when the mouse hovers over
> it. No way to connect. And I do have an account.
> Any suggestion?
>

Make sure you have ubuntuone-client 0.95.0+r213 or newer installed.
There were some issues with the transition to using OAuth 1.0a, which
have been resolved as of that revision.

Jello (pabba86) wrote :

I just upgraded to the Karmic beta on a new computer, and I'm not getting the option to add it either.

Eduard Grebe (eduardgrebe) wrote :

I am experiencing this problem (page for adding computer never shows up) on Jaunty. Version of the client installed is: 0.96.0+r231-0ubuntu1~ppa1~jaunty

Any ideas?

For another reason I had to reboot several times, but with those actions it appeared the add computer page...

jamey0824 (jamesforyst) wrote :

yes in karmic they need to add ubuntuone-client-tools to the default install. otherwise it wont work.

Jason Harman (apollyon-direct) wrote :

Adding ubuntuone-client-tools also solved my problems which had mystified me until reading through this page. I suggest Ubuntu link client-tools through dependencies so it is automatically installed with ubuntuone, preventing this easy-to-fix confusion in the future.

stevearc (arcangeli07) wrote :

I'm also getting this problem. I don't know if this is related, but it's giving me this error message when I run the applet:

Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 578, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 276, in got_state
    self.acquire_access_token(description, store)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 336, in acquire_access_token
    self.request_token = self.make_token_request(oauth_request)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 229, in make_token_request
    fp = opener.open(oauth_request.http_url, oauth_request.to_postdata())
  File "/usr/lib/python2.6/urllib.py", line 205, in open
    return getattr(self, name)(url, data)
  File "/usr/lib/python2.6/urllib.py", line 437, in open_https
    h.endheaders()
  File "/usr/lib/python2.6/httplib.py", line 868, in endheaders
    self._send_output()
  File "/usr/lib/python2.6/httplib.py", line 740, in _send_output
    self.send(msg)
  File "/usr/lib/python2.6/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 58, in _connect_wrapper
    if self._tunnel_host:
AttributeError: HTTPSConnection instance has no attribute '_tunnel_host'

I'm having the same problem as stevearc. I'm using ubuntuone-ppa, not ubuntuone-ppa-beta. I'm running Jaunty 32-bit.

L3X (alex.romao) wrote :

Won't work in my case too.
Ubuntu 9.04
It looks like on application startup it's searching for the proxi config with the NetworkManager.
But hey I've uninstalled it a long time ago. I'm using Wicd for my network management.
Is it possible that Ubuntuone client apps demands NetworkManager to authenticate the machine ?
Who else is not using NetworkManager ?

Some log messages

(user).cache/ubuntuone/log/syncdaemon.log :

2009-10-16 11:12:07,285 - dbus.proxies - ERROR - Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files
2009-10-16 11:12:07,286 - ubuntuone.SyncDaemon.DBus - ERROR - Error while getting the NetworkManager state org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

(user).cache/ubuntuone/log/oauth-login.log :

Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager
Starting Ubuntu One client version 1.0.0
Unable to contact NetworkManager

I can confirm that Karmic did not come with ubuntuone-client-tools installed. Got it via apt-get and it all works properly now. Before, I just got an error cloud in the gnome panel with an exclamation mark and no way of adding my launchpad account details.

I have the same as stevearc above running Jaunty with all security + recommended updates.

Same as LX3 (#27). I use wicd instead of network manager.

Dj Toonz (dj-toonz-live) wrote :

same problem in jaunty 9.04 using the terminal this is the error I get

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 578, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 276, in got_state
    self.acquire_access_token(description, store)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 336, in acquire_access_token
    self.request_token = self.make_token_request(oauth_request)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 229, in make_token_request
    fp = opener.open(oauth_request.http_url, oauth_request.to_postdata())
  File "/usr/lib/python2.6/urllib.py", line 205, in open
    return getattr(self, name)(url, data)
  File "/usr/lib/python2.6/urllib.py", line 437, in open_https
    h.endheaders()
  File "/usr/lib/python2.6/httplib.py", line 868, in endheaders
    self._send_output()
  File "/usr/lib/python2.6/httplib.py", line 740, in _send_output
    self.send(msg)
  File "/usr/lib/python2.6/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.6/dist-packages/ubuntuone/oauthdesktop/auth.py", line 58, in _connect_wrapper
    if self._tunnel_host:
AttributeError: HTTPSConnection instance has no attribute '_tunnel_host'

dguenther (di-guenther) wrote :

I have still the same problem, even with usage of ubuntuone-ppa instead of
ubuntuone-ppa-beta.
I'm using network manager and I'm not behind a proxy.

Best

Dirk

2009/10/18 claudio@ubuntu <email address hidden>

> Same as LX3 (#27). I use wicd instead of network manager.
>
> --
> unable to add computer to ubuntu one account
> https://bugs.launchpad.net/bugs/417664
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Triaged
>
> Bug description:
> i followed the instructions given in the ubuntu one website and the webpage
> didn't show up as expected and i even installed the ubuntuone-client-tools
> package,but i couldn't add my computer to my ubuntu one account .
> It didn't show any error messages and it cannot open the webpage to add to
> my ubuntu one account.
> i'm using firefox as my default browser and have no other browser's
> insalled.I tried the report problem given in the ubuntuone applet and it
> collects the information and shows a send problem report to the developers?
> dialogue and if i click the send report button it the following eror
> message:
>
> Could not upload report data to crash database:
>
> <urlopen error [Errno -2] Name or service not known>
>
> also i'm behind a sqiud proxy
>

--
--------
Dirk Günther
Beethovenstr. 9
06844 Dessau

lunomad (damon-metapaso) wrote :

I too get the same error as L3x and I use wicd:

~$ ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Sounds like an implicit dependency on NetworkManager?

This is on Jaunty using ubuntuone-ppa-beta updated today Oct24-2009.

NetworkManager ran ok and I liked its variety of wireless and wired config options, but on my Intel integrated chipset, NetworkManager wouldn't hold onto wireless connections well enough...kept dropping them randomly. I find Wicd holds onto the assigned connection and doesn't suddenly drop it.

Mr. Snazz (mr-snazz) wrote :

Same as lunomad, I switched to wicd because of issues with Network Manager and dropping connections.

Using wicd, and running UbuntuOne, the page to authorize my computer never opens. But switching back to Network Manager, the page does open.

I'm also on Jaunty, all updates applied, tried both ubuntuone-ppa-beta and ubuntuone-ppa.

No web page appears for me either, have removed and reinstalled as per the FAQ - no output for ubuntuone-client-gnome --signup (not using NetworkManager - custom bridge setup)

stevearc (arcangeli07) wrote :

Update:

stevearc (arcangeli07) wrote :

Update: I upgraded to the newest version of the .deb and did a u1sync --authorize. This time it worked. I don't think I changed anything on my end, so maybe that means the bug is fixed?

JasonBurns (47-m450n-47) wrote :

I also use Wicd on basically all my Ubuntu PCs because Network Manager was a pain to deal with and wouldn't work properly with my wireless connections, also it was much easier to setup profiles for different places I work that use static IPs on wirelss/wired networks.

Anyway, with Wicd I'm not able to get Ubuntu One to connect. I get:

ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

When I run 'u1sync --authorize' in the terminal.

lunomad (damon-metapaso) wrote :

Hi, I've upgraded my laptop and desktop both Karmic. \

The desktop uses NetworkManager, and u1 seems to be working well (files, contacts, notes all synching).

My laptop is using wicd still, and still having the identical problems reported by L3X, myself, JasonBurns and others.

Mr.Snazz, if you got the authorize to work under NetworkManager, did the computer fail then to synchronize after returning to wicd?

mycl (415fox) wrote :

Network Manager sucks in so many ways. VPN with pptp doesn't work right under it and if you just set it up VPN command-line because NM will fight it, periodically resetting your resolv.conf and playing with your routes. Also, if you want your computer on the network when someone isn't logged in (so that you can ssh in or run a media server or something) NM will not help you. And then there's the thing with the static IPs. It sucks and it's sucked for a long time and the problems don't get fixed and lots of people don't use it because of the sucking problem.

So, U1 can't depend on NM. That's clearly the real bug that needs fixing.

JasonMills (j-mills) wrote :

Ubuntu 9.10, connecting via the proxy on the school network where I work.
No Add Computer page.
Tried installing ubuntuone-client-tools and running ULSYNC, but I just get 'no such command'.
Tried emptying the ubuntuone/syncdaemon folder, as suggested on another thread, didn't help.
The ppa packages mentioned in comments above don't show in Synaptic.

LOTS of people seem to be having this problem of being unable to Add Computer - can't a more robust route to that web-page be provided??

JasonBurns (47-m450n-47) wrote :

JasonMills,

The command is actually u[one]sync.

I have UbuntuOne working on a few Ubuntu installs that still have NetworkManager instead of Wicd. It's hard for me to believe that this software was setup to rely on NetworkManager when it's obvious that a lot of people don't use it. I really hope there is a fix to remove the reliance on NetworkManager soon. It's annoying not to be able to use U1 when it would benefit me so much...

Greg Fletcher (gfletc) wrote :

I'd like to add that I too don't see the add computer page and I too don't use Network Manager. I understand this does not add content to the conversation, but I wanted an opportunity to express my annoyance at Network Manager. As a previous poster has already stated it really does suck.

...this isn't a dupe of bug 387308....

Laura (bbbmc59) wrote :

As the posters above, I am unable to add computer and "add computer" page never shows up in my browser. I do not believe this to be a duplicate of bug 387308 as I am not using a proxy.

I have tried Opera and Firefox and am using Lucid. I can sign onto my account on the webpage but my software does not add my email address and the webpage does not show "add this computer".

I uninstalled all ubuntuone programs in synaptic and reinstalled and now my software will not even launch. Received code: OOPS-ID-1580appserver120446

Naz Mir (mirnaz) wrote :

I dont think this bug is a duplicate of bug #387308.

1. I have no proxies and I connect directly to the internet.
2. I used Ubuntu One after a fresh Install of Ubuntu Lucid Lynx 10.04. I did not try Ubuntu One before.

I think(not sure) that I registered on Launchpad before I registered for Ubuntu one. I used the same email ID to register with Ubuntu One. After giving it my ID it asked me to Update my details, which consisted of password. I did that and was never prompted to Subscribe my machine.

I was directly taken to this page https://one.ubuntu.com/account/

I think that problem might be due to the reason that I already had an account registered with the email ID and used the same ID to login to Ubuntu one. There might be a problem with the single sign on.

And btw, Ubuntu 10.04 is the coolest Ubuntu release so far and Ubuntu one is a great addition to it. Keep up the good work.

Thanks.
Naz

Matt Griffin (mattgriffin) wrote :

Nazish: Please review the information in our newly updated FAQ for issues adding your computer: http://bit.ly/caHbOf
We're currently experiencing some issues with our website that might prevent you from adding your computer. Follow our status here: http://identi.ca/ubuntuone

Leo Jackson (lajjr) wrote :

Hello,

I have used: u1sync --authorize
with great success.

open a terminal type
u1sync --authorize

it opens web browser to ubuntuone page to add you may have to login first, but works great.

Regard,
Leo Jackson

I had also previously registered for launchpad. And similarly did not get a add this computer page when I pressed connect in ubuntuone.

Just like Leo Jackson. ulsync --authorize worked for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments